[Qgis-developer] Compile error: class ???QgisApp??? does not have any field named ???mProxyFactory???

Paolo Cavallini cavallini at faunalia.it
Wed Apr 14 13:57:01 EDT 2010

Jürgen E. Fischer ha scritto:

> But that's not on lenny.
> AFAICS spatialite on is currently broken.  libspatialite-dev just contains a
> dangling symlink to a shared library, which should be in libspatialite2.
>> both wirth internal and external spatialite.
> Internal spatialite works here.

Sorry Jurgen to bother, but I still cannot compile, even with internal splite. I keep
on getting

make[3]: *** No rule to make target `/usr/lib/libspatialite.so', needed by
`src/app/qgis'.  Stop.

This obviously depends on http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=577568
But I do not understand why I'm getting the same also  WITH_INTERNAL_SPATIALITE
Any explanation?
Thanks a lot.
Paolo Cavallini: http://www.faunalia.it/pc

More information about the Qgis-developer mailing list